## org.jibx.extras
Class Dom4JMapperBase

    java.lang.Object
      org.jibx.extras.DocumentModelMapperBase
          org.jibx.extras.Dom4JMapperBase

Direct Known Subclasses:
  Dom4JElementMapper, Dom4JListMapper

    public class Dom4JMapperBase

extends DocumentModelMapperBase

Base implementation for custom marshaller/unmarshallers to dom4j representation. This provides the basic code used for both single element and content list handling.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Field Summary

Fields inherited from class org.jibx.extras.DocumentModelMapperBase
`XML_NAMESPACE, XMLNS_NAMESPACE`

Constructor Summary
`Dom4JMapperBase()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4JMapperBase

    public Dom4JMapperBase()

Project Web Site |